- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# udpecho.c File Reference

`#include <ubixos/types.h>`
`#include <lib/kprintf.h>`
`#include "net/api.h"`
`#include "net/sys.h"`

Go to the source code of this file.

## Functions
void | udpecho_init (void)
void | udpecho_thread (void *arg)

## Function Documentation

void udpecho_init | ( | void |  | ) |

Definition at line 78 of file udpecho.c.

References NULL, sys_thread_new(), and udpecho_thread().

void udpecho_thread | ( | void * | arg | ) |

Definition at line 44 of file udpecho.c.

References ip_addr::addr, buffer, kprintf(), netbuf_copy(), netbuf_delete(), netbuf_fromaddr(), netbuf_fromport(), netconn_bind(), netconn_connect(), netconn_new(), netconn_recv(), netconn_send(), NETCONN_UDP, and NULL.

Referenced by udpecho_init().